/*! \file
 Basic "Text Strip" -- derived from Cstrip

 vers. 2003:3:23
*/

#include "cstrip.h"

//! Implements 'Cstrip' for text strings (UTF-8 or 8-bit ASCII).
class UtfStrip : public Cstrip {
	char *text, *cptr;
	long  cpos, lowbound, striplen;
	bool useutf;
  public:
	/*! Constructor
		- with optional UTF-8 (or 8-bit ASCII) null-terminated string 's'.
		- if 'utf' is true (default), expects UTF-8; otherwise 8-bit ASCII.
	*/
	UtfStrip(char *s=NULL, bool utf=true);
	~UtfStrip();
	int get();
	int look();
	long pos();
	bool pos(long p);
	long lowBound();
	bool lowBound(long p);
};

